Acknowledge a notification
curl --request POST \
--url https://quark.bot/api/servers/{guild_id}/notifications/{notification_id}/acknowledge \
--header 'Authorization: Bearer <token>'import requests
url = "https://quark.bot/api/servers/{guild_id}/notifications/{notification_id}/acknowledge"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://quark.bot/api/servers/{guild_id}/notifications/{notification_id}/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}{}{}{}{}Notifications
Acknowledge a notification
Marks one notification as read.
POST
/
servers
/
{guild_id}
/
notifications
/
{notification_id}
/
acknowledge
Acknowledge a notification
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The server's ID. Must be the server the token was created for.
Pattern:
^\d{17,20}$Example:
"301655085954367490"
The notification's notificationId.
Pattern:
^[A-Za-z0-9]{16,64}$Query Parameters
Set to pro to act on the Quark Pro bot's configuration. Leave out for the main Quark bot.
Available options:
pro Response
Done.
An empty object.
Was this page helpful?

